Bug 1773246 - Cannot identify cluster virtualization or bare metal status from telemetry
Summary: Cannot identify cluster virtualization or bare metal status from telemetry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1773243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-16 21:55 UTC by Clayton Coleman
Modified: 2019-12-20 00:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1773243
Environment:
Last Closed: 2019-12-20 00:46:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 557 'None' closed Bug 1773246: Add a rule that sums the nodes reporting virt_platform types 2020-03-10 07:22:30 UTC
Github openshift cluster-monitoring-operator pull 573 'None' closed Bug 1773246: Bump telemeter to get whitelist changes for virt_platform 2020-03-10 07:22:29 UTC
Github openshift node_exporter pull 40 'None' closed Bug 1773246: Add a virtualization metric series from virt-what 2020-03-10 07:22:29 UTC
Github openshift telemeter pull 266 'None' closed Bug 1773246: Report cluster:virt_platform_nodes:sum to telemetry 2020-03-10 07:22:28 UTC
Red Hat Product Errata RHBA-2019:4181 None None None 2019-12-20 00:46:57 UTC

Description Clayton Coleman 2019-11-16 21:55:06 UTC
+++ This bug was initially created as a clone of Bug #1773243 +++

The cloud provider infrastructure type does not tell the whole story for what sort of deployment is in play. Since it is very important for triage and remote health monitoring to know the difference between bare metal, virt with no cloud provider, virt with cloud provider, or mismatched cloud provider and virt platform, we should introduce a metric that captures the virt type of a node and report it via telemetry.

Metric will be virt_platform{type="baremetal|xen|kvm|..."}, and reported per cluster as count of nodes with a given virt type. A node may have multiple virt types.

Use the standard package 'virt-what' to capture this metric in the node_exporter.

Should be backported to 4.2 to enable better support.

Comment 4 errata-xmlrpc 2019-12-20 00:46:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4181


Note You need to log in before you can comment on or make changes to this bug.